<style>
    img {
        margin: 0px !important;
    }
</style>

# Extensions utiles

## Add jsdoc comments

![img](./images/jsdoc.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=lllllllqw.jsdoc)

Permet d'ajouter des commentaires JSDoc

Configuration par défaut

## Atom Keymap

![img](./images/atomkeymap.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=ms-vscode.atom-keybindings)

Permet de retrouver des raccourcis clavier "cassiques"

## Angular Snippets

![img](./images/angularsnippets.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=johnpapa.Angular2)

Fait des propositions pour angular

## SonarLint

![img](./images/sonarlint.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=SonarSource.sonarlint-vscode)

[SonarLint](https://www.sonarsource.com/products/sonarlint/) est un Linter trés puissant développé par Sonar.

Il propose beaucoup de régles sur de nombreux langages, il est extrémement complet.

SonarQube est un outil mondialement reconnu en ce qui concerne la détection d'anomalies dans le code, je pense que c'est une bonne pratique d'essayer de respecter au maximum ce qu'ils proposent.

### Configuration

```json
{
    "sonarlint.rules": {
        "php:S1808": {
            "level": "off"
        }
    },
}
```

## SFTP

![img](./images/sftp.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=Natizyskunk.sftp)

Transforme VSCode en super filezilla

On peut allors éditer les fichiers sur le serveur comme s'ils étaient en local, le seul bémol c'est qu'on ne peut pas vraiment rechercher dans un dossier

#### Configuration

```json
{
    "sftp.downloadWhenOpenInRemoteExplorer": true,
}
```

## PHP Intelephense

![img](./images/intelephense.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=bmewburn.vscode-intelephense-client)

Aide sur PHP

## PHP DocBlocker

![img](./images/phpdocblocker.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=neilbrayfield.php-docblocker)

Comme JSDoc mais pour PHP

### Configuration
 
```json
{
    "php-docblocker.alignParams": true,
    "php-docblocker.alignReturn": true,
    "php-docblocker.useShortNames": true,
    "php-docblocker.author": {
        "name": "John Doe",
        "email": "john.doe@veremes.com"
    },
}
```

## JenkinsFile Support

![img](./images/jenkinsfile.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=ivory-lab.jenkinsfile-support)

Support pour le format jenkinsfile

## Mapfile Syntax

![img](./images/mapfile.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=chicoff.mapfile)

Support pour le format mapfile

## Rename Angular Component

![img](./images/renameangular.jpg)

[lien sur le store Microsoft](https://marketplace.visualstudio.com/items?itemName=tomwhite007.rename-angular-component)

Permet de renommer un composant angular en changeant toutes les dépendances



